Loading...
Searching...
No Matches
openshot::CompareClips Struct Reference

`#include <Timeline.h>`

## Public Member Functions

bool | operator() (openshot::Clip *lhs, openshot::Clip *rhs) const

## Detailed Description

Comparison method for sorting clip pointers (by Layer and then Position). Clips are sorted from lowest layer to top layer (since that is the sequence they need to be combined), and then by position (left to right).

Definition at line 49 of file Timeline.h.

## Member Function Documentation

## operator()()

bool openshot::CompareClips::operator() | ( | openshot::Clip * | lhs,
|  | openshot::Clip * | rhs ) const

inline

Definition at line 50 of file Timeline.h.

The documentation for this struct was generated from the following file:

- Timeline.h